# Generated by Django 2.1.3 on 2019-07-09 02:08

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import simple_history.models


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('utp', '0002_auto_20190705_1740'),
    ]

    operations = [
        migrations.CreateModel(
            name='HistoricalMikrotikConnection',
            fields=[
                ('id', models.IntegerField(auto_created=True, blank=True, db_index=True, verbose_name='ID')),
                ('created', models.DateTimeField(blank=True, editable=False)),
                ('modified', models.DateTimeField(blank=True, editable=False)),
                ('status_field', models.BooleanField(default=True)),
                ('id_data', models.UUIDField(blank=True, db_index=True, null=True)),
                ('username', models.CharField(max_length=25)),
                ('password', models.CharField(max_length=30)),
                ('connections', models.PositiveSmallIntegerField(default=0)),
                ('history_id', models.AutoField(primary_key=True, serialize=False)),
                ('history_date', models.DateTimeField()),
                ('history_change_reason', models.CharField(max_length=100, null=True)),
                ('history_type', models.CharField(choices=[('+', 'Created'), ('~', 'Changed'), ('-', 'Deleted')], max_length=1)),
                ('history_user', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL)),
                ('mikrotik', models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='utp.Mikrotik')),
            ],
            options={
                'verbose_name': 'historical mikrotik connection',
                'ordering': ('-history_date', '-history_id'),
                'get_latest_by': 'history_date',
            },
            bases=(simple_history.models.HistoricalChanges, models.Model),
        ),
        migrations.CreateModel(
            name='MikrotikConnection',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('modified', models.DateTimeField(auto_now=True)),
                ('status_field', models.BooleanField(default=True)),
                ('id_data', models.UUIDField(blank=True, db_index=True, null=True)),
                ('username', models.CharField(max_length=25)),
                ('password', models.CharField(max_length=30)),
                ('connections', models.PositiveSmallIntegerField(default=0)),
                ('mikrotik', models.ForeignKey(blank=True, on_delete=django.db.models.deletion.CASCADE, to='utp.Mikrotik')),
            ],
            options={
                'ordering': ['username'],
            },
        ),
        migrations.RemoveField(
            model_name='historicalmodeldevice',
            name='brand',
        ),
        migrations.RemoveField(
            model_name='modeldevice',
            name='brand',
        ),
    ]
